# Uses of Interface
java.rmi.server.RMIFailureHandler

Packages that use RMIFailureHandler
Package
Description
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.

## Uses of RMIFailureHandler in java.rmi.server

Methods in java.rmi.server that return RMIFailureHandler
Modifier and Type
Method
Description
`static RMIFailureHandler`
RMISocketFactory.`getFailureHandler()`
Returns the handler for socket creation failure set by the `setFailureHandler` method.
Methods in java.rmi.server with parameters of type RMIFailureHandler
Modifier and Type
Method
Description
`static void`
RMISocketFactory.`setFailureHandler(RMIFailureHandler fh)`
Sets the failure handler to be called by the RMI runtime if server socket creation fails.